OpenSubdiv: D3D11StencilTable Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
D3D11StencilTable Class Reference

D3D11 stencil table. More...

`#include <d3d11ComputeEvaluator.h>`

## Public Member Functions
| D3D11StencilTable (Far::StencilTable const *stencilTable, ID3D11DeviceContext *deviceContext)
| ~D3D11StencilTable ()
ID3D11ShaderResourceView * | GetSizesSRV () const
ID3D11ShaderResourceView * | GetOffsetsSRV () const
ID3D11ShaderResourceView * | GetIndicesSRV () const
ID3D11ShaderResourceView * | GetWeightsSRV () const
int | GetNumStencils () const

## Static Public Member Functions
template<typename DEVICE_CONTEXT >
static D3D11StencilTable * | Create (Far::StencilTable const *stencilTable, DEVICE_CONTEXT context)
static D3D11StencilTable * | Create (Far::StencilTable const *stencilTable, ID3D11DeviceContext *deviceContext)

## Detailed Description

D3D11 stencil table.

This class is a D3D11 Shader Resource View representation of Far::StencilTable.

D3D11ComputeEvaluator consumes this table to apply stencils

Definition at line 56 of file d3d11ComputeEvaluator.h.

## Constructor & Destructor Documentation

## ◆ D3D11StencilTable()

D3D11StencilTable | ( | Far::StencilTable const * | stencilTable,
|  | ID3D11DeviceContext * | deviceContext
| ) |  |

## ◆ ~D3D11StencilTable()

~D3D11StencilTable | ( |  | ) |

## Member Function Documentation

## ◆ Create() [1/2]

static D3D11StencilTable * Create | ( | Far::StencilTable const * | stencilTable,
|  | DEVICE_CONTEXT | context
| ) |  |
| inlinestatic

Definition at line 59 of file d3d11ComputeEvaluator.h.

## ◆ Create() [2/2]

static D3D11StencilTable * Create | ( | Far::StencilTable const * | stencilTable,
|  | ID3D11DeviceContext * | deviceContext
| ) |  |
| inlinestatic

Definition at line 64 of file d3d11ComputeEvaluator.h.

## ◆ GetIndicesSRV()

ID3D11ShaderResourceView * GetIndicesSRV | ( |  | ) | const
| inline

Definition at line 77 of file d3d11ComputeEvaluator.h.

## ◆ GetNumStencils()

int GetNumStencils | ( |  | ) | const
| inline

Definition at line 79 of file d3d11ComputeEvaluator.h.

## ◆ GetOffsetsSRV()

ID3D11ShaderResourceView * GetOffsetsSRV | ( |  | ) | const
| inline

Definition at line 76 of file d3d11ComputeEvaluator.h.

## ◆ GetSizesSRV()

ID3D11ShaderResourceView * GetSizesSRV | ( |  | ) | const
| inline

Definition at line 75 of file d3d11ComputeEvaluator.h.

## ◆ GetWeightsSRV()

ID3D11ShaderResourceView * GetWeightsSRV | ( |  | ) | const
| inline

Definition at line 78 of file d3d11ComputeEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/d3d11ComputeEvaluator.h